Orxonox: orxonox::Deathmatch Class Reference

# orxonox::Deathmatch Class Reference

`#include <src/orxonox/objects/gametypes/Deathmatch.h>`

Inheritance diagram for orxonox::Deathmatch:

List of all members.

## Public Member Functions

| Deathmatch (BaseObject *creator)
virtual void | end ()
virtual void | pawnKilled (Pawn *victim, Pawn *killer=0)
virtual bool | playerChangedName (PlayerInfo *player)
virtual void | playerEntered (PlayerInfo *player)
virtual bool | playerLeft (PlayerInfo *player)
virtual void | playerScored (PlayerInfo *player)
virtual void | start ()
virtual | ~Deathmatch ()

## Constructor & Destructor Documentation

orxonox::Deathmatch::Deathmatch | ( | BaseObject * | creator | ) |

References RegisterObject.

virtual orxonox::Deathmatch::~Deathmatch | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::Deathmatch::end | ( |  | ) | `[virtual]`

Reimplemented from orxonox::Gametype.

Reimplemented in orxonox::Pong.

References orxonox::Host::Broadcast(), COUT, and orxonox::Gametype::end().

Referenced by orxonox::UnderAttack::destroyedPawn(), orxonox::Pong::end(), orxonox::TeamBaseMatch::endGame(), and orxonox::UnderAttack::tick().

void orxonox::Deathmatch::pawnKilled | ( | Pawn * | victim,
|  | Pawn * | killer = `0` |
| ) |  |  | `[virtual]`

Reimplemented from orxonox::Gametype.

References orxonox::Host::Broadcast(), COUT, orxonox::BaseObject::getName(), orxonox::ControllableEntity::getPlayer(), and orxonox::Gametype::pawnKilled().

bool orxonox::Deathmatch::playerChangedName | ( | PlayerInfo * | player | ) | `[virtual]`

Reimplemented from orxonox::Gametype.

References orxonox::Host::Broadcast(), COUT, orxonox::BaseObject::getName(), orxonox::BaseObject::getOldName(), and orxonox::Gametype::playerChangedName().

void orxonox::Deathmatch::playerEntered | ( | PlayerInfo * | player | ) | `[virtual]`

Reimplemented from orxonox::Gametype.

Reimplemented in orxonox::TeamDeathmatch.

References orxonox::Host::Broadcast(), COUT, orxonox::BaseObject::getName(), and orxonox::Gametype::playerEntered().

Referenced by orxonox::TeamDeathmatch::playerEntered().

bool orxonox::Deathmatch::playerLeft | ( | PlayerInfo * | player | ) | `[virtual]`

Reimplemented from orxonox::Gametype.

Reimplemented in orxonox::TeamDeathmatch.

References orxonox::Host::Broadcast(), COUT, orxonox::BaseObject::getName(), and orxonox::Gametype::playerLeft().

Referenced by orxonox::TeamDeathmatch::playerLeft().

void orxonox::Deathmatch::playerScored | ( | PlayerInfo * | player | ) | `[virtual]`

Reimplemented from orxonox::Gametype.

Reimplemented in orxonox::Pong, and orxonox::TeamBaseMatch.

References orxonox::Host::Broadcast(), COUT, orxonox::BaseObject::getName(), and orxonox::Gametype::playerScored().

Referenced by orxonox::Pong::playerScored().

void orxonox::Deathmatch::start | ( |  | ) | `[virtual]`

Reimplemented from orxonox::Gametype.

Reimplemented in orxonox::Pong.

References orxonox::Host::Broadcast(), COUT, and orxonox::Gametype::start().

Referenced by orxonox::Pong::start().

The documentation for this class was generated from the following files:

- src/orxonox/objects/gametypes/Deathmatch.h
- src/orxonox/objects/gametypes/Deathmatch.cc